# OptionTextDisplay | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class OptionTextDisplay

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:9

##### Index

### Constructors

constructor

### Properties

buttonLabel
buttonTooltip?
disabledButtonLabel?
disabledButtonTooltip?
secondOptionPrompt?
selected?
style?

## Constructors

### constructor

- new OptionTextDisplay(): OptionTextDisplay

  #### Returns OptionTextDisplay

## Properties

### buttonLabel

buttonLabel: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:10

### `Optional` buttonTooltip

buttonTooltip?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:11

### `Optional` disabledButtonLabel

disabledButtonLabel?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:12

### `Optional` disabledButtonTooltip

disabledButtonTooltip?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:13

### `Optional` secondOptionPrompt

secondOptionPrompt?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:14

### `Optional` selected

selected?: TextDisplay []

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:15

### `Optional` style

style?: TextStyle

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:16